//
// License: GPL
// Date: 25.02.2006
// Author: André Schnabel (thefrogs@web.de)
// http://www.masterspace.biz/andreschnabel/
//

// Splash.h

#ifndef SPLASH_H
#define SPLASH_H

#include "State.h"
#include "ResourceManager.h"

class Splash : public State
{
public:
	Splash(string resMngrFilename = "splashFilenames.txt", string bgName = "splash", string fontName = "font");

	virtual void Init();
	virtual void Quit();

	virtual void Input();
	virtual void Update();
	virtual void Draw();

private:
	string resMngrFilename, bgName, fontName;
	string versStr;
};

#endif
